### Method

# ICalGLib Component get_current_component

since: 1.0

#### Declaration [src]

    ICalComponent*
    i_cal_component_get_current_component (
      ICalComponent* component
    )

#### Description [src]

Gets the current `ICalComponent` in `ICalComponent`.

Available since: 1.0

#### Return value

Type: `ICalComponent`

The current `ICalComponent`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.